"use strict";

this.name           = "spicy_hermits_abandoned_ship";
this.description    = "ship script for abandoned hermits";

this.shipSpawned = function() {
	ship.primaryRole = "asteroid";
}

this.shipDied = function() {
	//create 1 - 15 random cargo pods biasing average
	var count = 1 + Math.floor(5 * (Math.random() + Math.random() + Math.random()));
	var pods = system.addShips("cargopod", count, ship.position);
	//give the pods some velocity
	for (var i = 0; i < pods.length; i++) {
		var pod = pods[i];
		var velocity = pod.position.subtract(ship.position).direction().multiply(100);
		pod.velocity = velocity;
	}
	//create 2 - 4 boulders
	var count = 2 + Math.floor(Math.random() * 3);
	ship.spawn("boulder", count);
	//rarely boobytrapped
	for (var i = 0; i < 2; i++) {
		if (Math.random() < 0.05) {
			var qbomb = ship.spawnOne("energy-bomb");
			qbomb.AIScript.shipWasDumped();
		}
	}
}
