"use strict";

this.name           = "spicy_hermits_abandoned";
this.description    = "abandoned hermit populator";

this.startUp = function() {
	//check for griffs hermits
	if (!Ship.keysForRole("griff_hermit_subentity")) {
		this.$role = "spicy_hermits_abandoned";
	}
	else this.$role = "spicy_hermits_abandoned_griff";
}

this.systemWillPopulate  = function() {
	var count = 1 + Math.round(Math.random() * 2); //1-3 hermits. weighted at 2.
	//var regions = ["PLANET_ORBIT_HIGH", "STAR_ORBIT_HIGH", "OUTER_SYSTEM_OFFPLANE", "INNER_SYSTEM_OFFPLANE"];
	for (var i = 0; i < count; i++) {
		//var region = regions[Math.floor(Math.random() * regions.length)];
		system.setPopulator("spicy_hermits_abandoned" + i, {
			callback: function(pos) {
				var hermit = system.addShips(this.$role, 1, pos)[0];
				//spawn 2-5 asteroids to help finding
				system.addShips("asteroid", 2 + Math.floor(Math.random() * 4), pos, 25E3);
			}.bind(this),
			location: "PLANET_ORBIT_HIGH"/*region*/
		})
	}
}
